Subject: Re: bug#1860: 23.0.60; odd white block next to cursor, after typing some spaces

From: Leonardo Etcheverry <[email-masked]>
Date: Mon, 12 Jan 2009 19:16:20 -0800 (PST)

Eric,

After you brought up this issue in #emacs yesterday, I spent some time
reading the urxvt documentation and found this:

-ptab|+ptab
    If enabled (default), "Horizontal Tab" characters are being stored as
actual wide characters in the screen buffer, which makes it possible to
select and paste them. Since a horizontal tab is a cursor movement and not
an actual glyph, this can sometimes be visually annoying as the cursor on a
tab character is displayed as a wide cursor; resource pastableTabs. 

If you start urxvt with the +ptab option the double sized cursor goes away;
at least testing it with emacs -Q -nw

leo___

Eric Hanchrow-2 wrote:
> 
> I'm using "urxvt", if it matters.
> I started emacs like this:
> $ cd /usr/local/src/emacs/src
> $ ./emacs -Q -nw
> 
> That put me in the *scratch* buffer, naturally.  I then typed
> 
>      SPC SPC SPC SPC SPC SPC SPC
> 
> The cursor moved to the right, as expected.  But after the last SPC,
> something strange happened: the cursor (a solid white rectangle) now
> appears twice as wide as it ought to: it's as if columns six and seven
> (I count starting from zero, the way column-number-mode does) both
> light up whenever the cursor enters them.
> 
> I've seen this in other places too, but I can't come up with a simple
> description of when it happens.
> 
> I honestly don't know if this is a bug or a feature.  If it's a
> feature, I very much want to disable it.
> 
> 
> 

-- 
View this message in context: http://www.nabble.com/bug-1860%3A-23.0.60--odd-white-block-next-to-cursor%2C-after-typing-some-spaces-tp21404156p21428744.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.